Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gudusoft.gsqlparser.nodes
Class TCreateFunctionSqlNode

    java.lang.Object
      gudusoft.gsqlparser.nodes.TParseTreeNode
          gudusoft.gsqlparser.nodes.TCreateFunctionSqlNode

All Implemented Interfaces:
  Visitable

    public class TCreateFunctionSqlNode

extends TParseTreeNode

Internal use in the parser..

Constructor Summary
`TCreateFunctionSqlNode()`

Method Summary
`TBlockSqlNode` | `getBlcok()`
`TCallSpec` | `getCallSpec()`
`TCompoundSqlNode` | `getCompoundSql()`
`TStatementListSqlNode` | `getDeclareStmts()`
`TExceptionClause` | `getExceptionClause()`
`TObjectName` | `getFunctionName()`
`int` | `getKind()`
`TParameterDeclarationList` | `getParameters()`
`TTypeName` | `getReturnDataType()`
`TReturnSqlNode` | `getReturnSql()`
`TReturnSqlNode` | `getReturnSqlNode()`
`TDummy` | `getReturnTable()`
`TStatementSqlNode` | `getStmt()`
`TStatementListSqlNode` | `getStmts()`
`void` | `init(java.lang.Object arg1)` Initialize a query tree node.
`void` | `setBlcok(TBlockSqlNode blcok)`
`void` | `setBody(java.lang.Object arg1)`
`void` | `setCallSpec(TCallSpec callSpec)`
`void` | `setDeclareStmts(TStatementListSqlNode declareStmts)`
`void` | `setExceptionClause(TExceptionClause exceptionClause)`
`void` | `setKind(int kind)`
`void` | `setParameters(TParameterDeclarationList parameters)`
`void` | `setReturnDataType(TTypeName returnDataType)`
`void` | `setReturnSqlNode(TReturnSqlNode returnSqlNode)`
`void` | `setReturnTable(TDummy returnTable)`
`void` | `setStmt(TStatementSqlNode stmt)`
`void` | `setStmts(TStatementListSqlNode stmts)`

Methods inherited from class gudusoft.gsqlparser.nodes.TParseTreeNode
`accept, addAllMyTokensToTokenList, doParse, getColumnNo, getDummyTag, getEndToken, getGsqlparser, getLineNo, getNodeType, getStartToken, init, init, init, init, init, setDummyTag, setEndToken, setEndToken, setGsqlparser, setNodeType, setStartToken, setStartToken, setString, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TCreateFunctionSqlNode

    public TCreateFunctionSqlNode()

Method Detail

### getFunctionName

    public TObjectName getFunctionName()

### setParameters

    public void setParameters(TParameterDeclarationList parameters)

### init

    public void init(java.lang.Object arg1)

  Description copied from class: `TParseTreeNode`
  Initialize a query tree node.

  Overrides:
    `init` in class `TParseTreeNode`

### setKind

    public void setKind(int kind)

### getKind

    public int getKind()

### getCallSpec

    public TCallSpec getCallSpec()

### setCallSpec

    public void setCallSpec(TCallSpec callSpec)

### setStmt

    public void setStmt(TStatementSqlNode stmt)

### getStmt

    public TStatementSqlNode getStmt()

### getExceptionClause

    public TExceptionClause getExceptionClause()

### setExceptionClause

    public void setExceptionClause(TExceptionClause exceptionClause)

### getDeclareStmts

    public TStatementListSqlNode getDeclareStmts()

### setDeclareStmts

    public void setDeclareStmts(TStatementListSqlNode declareStmts)

### getStmts

    public TStatementListSqlNode getStmts()

### setStmts

    public void setStmts(TStatementListSqlNode stmts)

### getBlcok

    public TBlockSqlNode getBlcok()

### getReturnSqlNode

    public TReturnSqlNode getReturnSqlNode()

### setReturnSqlNode

    public void setReturnSqlNode(TReturnSqlNode returnSqlNode)

### setBlcok

    public void setBlcok(TBlockSqlNode blcok)

### getParameters

    public TParameterDeclarationList getParameters()

### setReturnDataType

    public void setReturnDataType(TTypeName returnDataType)

### getReturnDataType

    public TTypeName getReturnDataType()

### setReturnTable

    public void setReturnTable(TDummy returnTable)

### getReturnTable

    public TDummy getReturnTable()

### getCompoundSql

    public TCompoundSqlNode getCompoundSql()

### getReturnSql

    public TReturnSqlNode getReturnSql()

### setBody

    public void setBody(java.lang.Object arg1)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD